%define	major		1
%define	libname		%mklibname sndfile %{major}
%define develname	%mklibname sndfile -d

%define build_octave 0

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Summary:	A library to handle various audio file formats
Name:		libsndfile
Version:	1.2.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://libsndfile.github.io/libsndfile/
Source0:	https://github.com/libsndfile/libsndfile/archive/%{version}/%{name}-%{version}.tar.xz
#
# Security Patches
# P100 -> ...
#
Patch101:		libsndfile-psf_strlcpy_crlf-fix-CVE-2015-8075.patch
Patch102:		libsndfile-wav-loop-count-fix.patch
BuildRequires:	cmake
BuildRequires:	ninja
BuildRequires:	lame-devel
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sndio)
BuildRequires:	pkgconfig(speex)
%if !%{bootstrap}
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(samplerate)
%endif
BuildRequires:	pkgconfig(python3)

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n	%{libname}
Summary:	Shared library of sndfile
Group:		System/Libraries

%description -n	%{libname}
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n	%{develname}
Summary:	Libraries, includes, etc to develop libsndfile applications
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	libflac-devel
Provides:	sndfile-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries, include files, etc you can use to develop libsndfile applications.

%package	progs
Summary:	Example progs based on libsndfile
Group:		Sound

%description	progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.


%if %{build_octave}
%package	octave
Summary:	Octave modules based on libsndfile
Group:		Sound
BuildRequires:	pkgconfig(octave)

%description	octave
This contains octave modules based on libsndfile for reading, writing and
playing audio files.
%endif

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_CPACK=OFF \
  -DBUILD_TESTING=OFF \
  -DENABLE_EXPERIMENTAL=ON \
  -DBUILD_EXAMPLES=OFF \
  -DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/libsndfile
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/doc/libsndfile

%files -n %{libname}
%{_libdir}/libsndfile.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libsndfile.so
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/pkgconfig/sndfile.pc
%{_libdir}/cmake/SndFile/

%files progs
%{_bindir}/sndfile-*
%{_mandir}/man1/*

%if %{build_octave}
%files octave
%{_datadir}/octave/
%{_libdir}/octave/*/site/oct/*/*.oct
%endif

%changelog
* Mon Oct 16 2023 tex - 1.2.2-1pclos2023
- new version: 1.2.2
